﻿using JetBrains.Annotations;
using OpcLabs.EasyOpc.UA.Engine;

namespace OpcLabs.EasyOpcFactory.UA.Engine
{
    static public class UAClientSubscriptionParametersInstances
    {
        [NotNull]
        static public UAClientSubscriptionParameters Instance1 => new UAClientSubscriptionParameters
        {
            RetrialDelay = 11111,
        };

        [NotNull]
        static public UAClientSubscriptionParameters Instance2 => new UAClientSubscriptionParameters
        {
            AllowPublishTimeAhead = false,
            AllowPublishTimeStale = false,
            RetrialDelay = 11111,
        };

        [NotNull]
        static public UAClientSubscriptionParameters Instance3 => new UAClientSubscriptionParameters
        {
            CheckSubscriptionId = true,
            RequireMinimumRevisedLifetimeCount = true,
        };

        [NotNull]
        static public UAClientSubscriptionParameters Instance4 => new UAClientSubscriptionParameters
        {
            KeepAliveCount = 0,
        };

        [NotNull]
        static public UAClientSubscriptionParameters Instance5 => new UAClientSubscriptionParameters
        {
            KeepAliveCount = 111111,
            LifetimeCount = 444444,
        };

        [NotNull]
        static public UAClientSubscriptionParameters Instance6 => new UAClientSubscriptionParameters
        {
            FastestKeepAliveInterval = 111,
            FastestKeepAliveIntervalDebug = 222,
            FastestLifetimeInterval = 333,
            FastestLifetimeIntervalDebug = 444,
        };
    }
}
