﻿using JetBrains.Annotations;
using OpcLabs.BaseLib.Xml;
using OpcLabs.EasyOpc.DataAccess;

namespace OpcLabs.EasyOpcFactory.DataAccess
{
    static public class DAPropertyDescriptorInstances
    {
        [NotNull]
        static public DAPropertyDescriptor Instance1 => new DAPropertyDescriptor(DAPropertyIdInstances.Instance1);

        [NotNull]
        static public DAPropertyDescriptor Instance2 => new DAPropertyDescriptor(DAPropertyIdInstances.Instance2);

        [NotNull]
        static public DAPropertyDescriptor Instance3 => new DAPropertyDescriptor(new XmlQualifiedName2("testName", "testNs"));

        [NotNull]
        static public DAPropertyDescriptor Instance4 => new DAPropertyDescriptor(DAPropertyIdInstances.Instance1, new XmlQualifiedName2("testName", "testNs"));
    }
}
