﻿
using JetBrains.Annotations;
using OpcLabs.EasyOpc.UA.Administration;

namespace OpcLabs.EasyOpcFactory.UA.Administration
{
    static public class UAApplicationManifestInstances
    {
        [NotNull]
        static public UAApplicationManifest Instance1 => new UAApplicationManifest
        {
            InstanceOwnStorePath = "instanceOwnStorePath1",
        };

        [NotNull]
        static public UAApplicationManifest Instance2 => new UAApplicationManifest
        {
            ApplicationName = "TestAN",
#pragma warning disable 618
            InstanceCertificateSubject = "TestICS",
#pragma warning restore 618
            ApplicationUriString = "TestAUS",
            ProductUriString = "TestPUS",
        };
    }
}
