﻿using System.Collections.ObjectModel;
using System.Diagnostics;

namespace OpcLabs.UnitTestLib
{
    public sealed class TesterCollection : KeyedCollection<string, Tester>
    {
        protected override string GetKeyForItem(Tester item)
        {
            Debug.Assert(item != null);
            return item.Name;
        }
    }
}
