﻿using System;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using OpcLabs.BaseLib.Extensions;
using OpcLabs.BaseLib.Extensions.Internal;

namespace OpcLabs.BaseLibTest.Extensions
{
    [TestClass]
    public class StringExtensionTest
    {
        // ReSharper disable InconsistentNaming

        [TestMethod]
        public void LeftTest_LengthTooHigh()
        {
            const string target = "string1";
            string output = target.Left(200);
            Assert.IsNotNull(output);
            Assert.AreEqual(target, output);
        }

        [ExpectedException(typeof(ArgumentOutOfRangeException))]
        [TestMethod]
        public void LeftTest_NegativeLength()
        {
            // ReSharper disable ReturnValueOfPureMethodIsNotUsed
            "string1".Left(-5);
            // ReSharper restore ReturnValueOfPureMethodIsNotUsed
        }

        // ReSharper restore InconsistentNaming
    }
}
