﻿using System.Collections.Generic;
using JetBrains.Annotations;
using OpcLabs.EasyOpc;

namespace OpcLabs.EasyOpcLiveTest
{
    public abstract class CommonServer
    {
        protected CommonServer([NotNull] string location)
        {
            Location = location;
        }

        [NotNull]
        public abstract IEnumerable<ServerDescriptor> AllServerDescriptors { get; }

        [NotNull]
        public string Location { get; }
    }
}
